require "dunlop/engine"
require "dunlop/csv_builder"
require 'core_extensions/activerecord/find_each_ordered'
require 'core_extensions/date/epoch_week'
require 'core_extensions/time/epoch_week'

module Dunlop
  def self.table_name_prefix
    'dunlop_'
  end

  def self.has_workflow?
    File.exist?(Rails.root.join("app/models/workflow_instance/data_setup.rb"))
  end

  def self.has_source_files?
    'SourceFile'.safe_constantize
  end

  def self.has_target_files?
    'TargetFile'.safe_constantize
  end
end
